/* ======================================================================== */
/* calcvalue.cpp                                                            */
/*                                                                          */
/*		This subroutine calculates the instantaneous values for the         */
/* density, volume, pressure, and temperature and assigns these values to   */
/* the "box[k]." variables.  It also takes the instantaneous potential      */
/* energies calculated in cbend(), cbond(), cnonbond(), and ctorsion() and  */
/* the instantaneious kinetic energy calculated in kinet() to calculate     */
/* the total instantaneous energy.                                          */
/*                                                                          */
/* Passed Parameters:                                                       */
/*						ibox:		The box number                          */
/*                                                                          */
/* ======================================================================== */

#include "defines.h"


/* ************************************************************************ */
/*                                                                          */
/* ======================== Begin Subroutine ============================== */
/*                                                                          */
/* ************************************************************************ */

void calcvalue (int ibox)
{
	int k = ibox;

	/* ================================================================== */
	/*                                                                    */
	/* Calculate the total potential energy of the system using the       */
	/* contributions calculated during the force subroutines. Note:       */
	/* en[k].potens is the shifted energy.                                */
	/*                                                                    */
	/* ================================================================== */

	en[k].poten  = en[k].bond + en[k].bend + en[k].tors + en[k].nbond;
	en[k].potens  = en[k].bond + en[k].bend + en[k].tors + en[k].nbonds;

	en[k].poten += en[k].dna_solv;
	en[k].potens += en[k].dna_solv;
}
