/* ======================================================================== */
/* translate.c                                                              */
/*   Translates the dna in box to the center on box.                        */
/* ======================================================================== */

#include "defines.h"

void translate(void)
{
	double xc = 0.0;
	double yc = 0.0;
	double zc = 0.0;
	double mc = 0.0;
	int i;

	for(i=0; i<natom_dna.sod; i++) {
		xc += atom_dna[i].x * atom_dna[i].mass;
		yc += atom_dna[i].y * atom_dna[i].mass;
		zc += atom_dna[i].z * atom_dna[i].mass;
		mc += atom_dna[i].mass;
	}
	xc /= mc;
	yc /= mc;
	zc /= mc;

	for(i=0; i<natom_dna.sod; i++){
		atom_dna[i].x     -= xc;
		atom_dna[i].y     -= yc;
		atom_dna[i].z     -= zc;
	}
}

