/* ===================================================== */
/* write_refpdb.cpp                                      */
/* This subroutine writes the ref.pdb needed for the     */
/* Go inputs.                                            */
/* ===================================================== */
#include "defines.h"

void write_refpdb(void){
	FILE *fp_out;
	double pdb=1; 
	int i;
	char refpdbname[256];
	sprintf(refpdbname, "%s.pdb", fileprefix);
	if((fp_out = fopen(refpdbname,"w"))==0)
	{
		fprintf(stderr, "Could not open %s for writing!\n", refpdbname);
		return;
	}

	fprintf(fp_out,"REMARK Created by dna_energy. Thomas A. Knotts IV et al.\nREMARK \n");

	/* ============================================ */
	/* Write the first strand.                      */
	/* ============================================ */
	for(i = 0; i<natom_dna.tot; i++){
		if(strcmp(atom_dna[i].res_name,"SOD")==0 || strcmp(atom_dna[i].res_name,"CLA")==0){
			fprintf(fp_out,"HETATM");// columns 1-6 of pdb
		}
		else{
			fprintf(fp_out,"ATOM  ");// columns 1-6 of pdb
		}
		fprintf(fp_out,"%5d",i+1);// columns 7-11 of pdb
		fprintf(fp_out," ");//column 12
		if(atom_dna[i].site_name[3] == 0) fprintf(fp_out," %-3s",atom_dna[i].site_name);
		else fprintf(fp_out,"%-3s",atom_dna[i].site_name);//columns 13-16
		fprintf(fp_out," ");//column 17
		fprintf(fp_out,"%3s",atom_dna[i].res_name);//columns 18-20
		fprintf(fp_out,"  ");//column 21-22
		fprintf(fp_out,"%4d",atom_dna[i].residue+1);//columns 23-26
		fprintf(fp_out,"    ");//columns 27-30
		fprintf(fp_out,"%8.3lf", atom_dna[i].x);//columns 31-38
		fprintf(fp_out,"%8.3lf",  atom_dna[i].y);//columns 39-46
		fprintf(fp_out,"%8.3lf", atom_dna[i].z);//columns 47-54
		fprintf(fp_out,"%6.2lf", pdb);//columns 55-60
		fprintf(fp_out,"%6.2lf\n", pdb-1);//columns 61-66
	}
	fprintf(fp_out,"END\n");
	fprintf(fp_out,"\n");
	fclose(fp_out);
}
